;
; make Z transport in Sv at T point
;
FUNCTION make_ztran, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read W
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   vargrid = 'W'
   w = nc_read(file_nam+'W.nc','vovecrtz', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

;  Transport along Z : trz = w*e1t*e2t (Sv)


   e1t3d = reform(e1t, jpi*jpj)
   e1t3d = reform(e1t3d#replicate(1, jpk), jpi, jpj, jpk)

   e2t3d = reform(e2t, jpi*jpj)
   e2t3d = reform(e2t3d#replicate(1, jpk), jpi, jpj, jpk)

   trz = w.data*e1t3d*e2t3d

   trz = trz*1.e-6

   domdef, old_boite

   field = {name: '', data: trz, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = w.origin
   field.dim = w.dim

   return, field
END 
