PRO postLMA_distPM_AM, post = post

; But du programme: plot des distances des modes principaux aux mode moyen
; hiver/ete

@common

   jpi = 57
   jpj = 16
   
;
; 2.Remplissage de la variable temporelle
;

   direc = 'LMA_in'

; Ouverture du fichier d'entree

   OPENR, 10, direc+'/DIST_C_OLR_0'
   READF, 10, NCMAX

   ncmax = fix(ncmax)
   xver = fltarr(NCMAX)
   dto = fltarr(NCMAX)
   an = intarr(NCMAX)
   mois = intarr(NCMAX)
   jour = intarr(NCMAX)
   heure =intarr(NCMAX)
   flag = intarr(NCMAX)
   selec = intarr(NCMAX)
   time = fltarr(NCMAX)
   pourvar = fltarr(NCMAX)
   u =strarr(1)
   READF, 10, FORMAT = '(A52,9A8)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 10, FORMAT = '(2E12.5,12I5)',res1, res2, res3, res4, res5, res6, res7, res8, res9
      xver(t) = res1
      dto(t) = res2
      an(t) = res3
      mois(t) = res4
      jour(t) = res5
      selec(t) = res8
      time(t) = julday(res4, res5, res3, 0, 0, 0)
   ENDFOR
   close, 10
   OPENR, 20, direc+'/M_DIST_OLR_0'
   DPM_sum1 = fltarr(NCMAX)
   DPM_sum2 = fltarr(NCMAX)
   DPM_win1 = fltarr(NCMAX)
   DPM_win2 = fltarr(NCMAX)
   READF, 20, FORMAT = '(A6)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 20, FORMAT = '(2E12.5)', res
      DPM_sum1(t) = res
   ENDFOR
   READF, 20, FORMAT = '(A6)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 20, FORMAT = '(2E12.5)', res
      DPM_sum2(t) = res
   ENDFOR
   READF, 20, FORMAT = '(A6)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 20, FORMAT = '(2E12.5)', res
      DPM_win1(t) = res
   ENDFOR
   READF, 20, FORMAT = '(A6)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 20, FORMAT = '(2E12.5)', res
      DPM_win2(t) = res
   ENDFOR
   READF, 20, u
   READF, 20, FORMAT = '(4E12.5,I5)',  res1, res2, res3, res4, res5
   READF, 20, FORMAT = '(4E12.5,I5)',  res1, res2, res3, res4, res5
   close, 20
   OPENR, 30, direc+'/IGOR_ACP_OLR'
   READF, 30, u
   FOR i = 0, jpj -1 DO BEGIN
      FOR j = 0, jpi-1 DO BEGIN
         READF, 30, res1, res2
      ENDFOR
   ENDFOR
   READF, 30, u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 30, FORMAT = '(2I6,E12.5,5I6,3E12.5,20E12.5)', res1, res2, res3, res4, res5, res6, res7, res8, res9, res10, res11, res12, res13
      print, res13
      print, res4, res5, res6
      pourvar(t) = res13
   ENDFOR
   close, 30

; Creation du dessin

   jpt = NCMAX
   valmask = 1.e20
   align = 0.5
   win = 0
   summer = 1-win

   if keyword_set(post) THEN BEGIN  
      reinitplt, /z,/invert
      fileps = 'distance.ps'
      openps, fileps
      set_ps_devices
   ENDIF ELSE BEGIN
      set_plot,'x'
      set_x_devices
   ENDELSE 
   varname = 'Summer Mode (dist)'
   pltt, DPM_sum1, 't', 0.2, 1., petitdessin = [1, 2, 2], /landscape, /rempli, subtitle = '', marge = [0, 0, -3, -3]

   FOR i = 0, NCMAX-1 DO BEGIN
      g = 0
      IF (pourvar(i) GT 0.4) and (pourvar(i) LE 0.5) THEN g = 3
      IF (pourvar(i) GT 0.5) and (pourvar(i) LE 0.6) THEN g = 6
      IF (pourvar(i) GT 0.6) and (pourvar(i) LE 0.7) THEN g = 9
      IF (pourvar(i) GT 0.7) and (pourvar(i) LE 0.8) THEN g = 12
      IF (pourvar(i) GT 0.8) and (pourvar(i) LE 0.9) THEN g = 15
      IF selec(i) EQ summer THEN xyouts, time(i),DPM_sum1(i), '.',charthick=5, charsize = g, alignment = align
   ENDFOR

   pltt, DPM_sum2, 't', 0.2, 1., /ov1d, linestyle = 0, color = 30, petitdessin = [2, 1, 2], /noerase, /rempli

   FOR i = 0, NCMAX-1 DO BEGIN
      g = 0
      IF (pourvar(i) GT 0.4) and (pourvar(i) LE 0.5) THEN g = 3
      IF (pourvar(i) GT 0.5) and (pourvar(i) LE 0.6) THEN g = 6
      IF (pourvar(i) GT 0.6) and (pourvar(i) LE 0.7) THEN g = 9
      IF (pourvar(i) GT 0.7) and (pourvar(i) LE 0.8) THEN g = 12
      IF (pourvar(i) GT 0.8) and (pourvar(i) LE 0.9) THEN g = 15
      IF selec(i) EQ summer THEN xyouts, time(i),DPM_sum2(i), '.',charthick=5, charsize = g, alignment = align, color = 30
   ENDFOR  

   varname = 'Winter Mode (dist)'
   pltt, DPM_win1, 't', 0.2, 1., petitdessin = [1, 2, 1], /noerase, /rempli, subtitle = '', marge = [0, 0, -6, 0]


   FOR i = 0, NCMAX-1 DO BEGIN
      g = 0
      IF (pourvar(i) GT 0.4) and (pourvar(i) LE 0.5) THEN g = 3
      IF (pourvar(i) GT 0.5) and (pourvar(i) LE 0.6) THEN g = 6
      IF (pourvar(i) GT 0.6) and (pourvar(i) LE 0.7) THEN g = 9
      IF (pourvar(i) GT 0.7) and (pourvar(i) LE 0.8) THEN g = 12
      IF (pourvar(i) GT 0.8) and (pourvar(i) LE 0.9) THEN g = 15
      IF selec(i) EQ win THEN xyouts, time(i),DPM_win1(i), '.',charthick=5, charsize = g, alignment = align
   ENDFOR
   
   pltt, DPM_win2, 't', 0.2, 1., /ov1d, linestyle = 0, color = 30, petitdessin = [1, 1, 1]  , /noerase, /rempli
   FOR i = 0, NCMAX-1 DO BEGIN
      g = 0
      IF (pourvar(i) GT 0.4) and (pourvar(i) LE 0.5) THEN g = 3
      IF (pourvar(i) GT 0.5) and (pourvar(i) LE 0.6) THEN g = 6
      IF (pourvar(i) GT 0.6) and (pourvar(i) LE 0.7) THEN g = 9
      IF (pourvar(i) GT 0.7) and (pourvar(i) LE 0.8) THEN g = 12
      IF (pourvar(i) GT 0.8) and (pourvar(i) LE 0.9) THEN g = 15
      IF selec(i) EQ win THEN xyouts, time(i),DPM_win2(i), '.',charthick=5, charsize = g, alignment = align, color = 30
   ENDFOR  
   if keyword_set(post) THEN BEGIN  
      closeps
   ENDIF 
   return
end
