PRO postLMA_var, post = post

; But du programme: plot de la variance, % de variance et periode des
; modes LMA

@common

   jpi = 57
   jpj = 16
   
;
; 2.Remplissage de la variable temporelle
;

   direc = 'LMA_in'

; Ouverture du fichier d'entree

   OPENR, 10, direc+'/DIST_C_OLR_0'
   READF, 10, NCMAX
   print, 'NCMAX = ',NCMAX
   ncmax = fix(ncmax)
   xver = fltarr(NCMAX)
   dto = fltarr(NCMAX)
   an = intarr(NCMAX)
   mois = intarr(NCMAX)
   jour = intarr(NCMAX)
   heure =intarr(NCMAX)
   flag = intarr(NCMAX)
   selec = intarr(NCMAX)
   time = fltarr(NCMAX)
   pourvar = fltarr(NCMAX)
   u =strarr(1)

   READF, 10, FORMAT = '(A52,9A8)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 10, FORMAT = '(2E12.5,12I5)',res1, res2, res3, res4, res5, res6, res7, res8, res9
      xver(t) = res1
      dto(t) = res2
      an(t) = res3
      mois(t) = res4
      jour(t) = res5
      selec(t) = res8
      time(t) = julday(res4, res5, res3, 0, 0, 0)
   ENDFOR
   close, 10

   print, 'Initial date dd/mm/yy = ', jour(0), mois(0), an(0)
   print, 'Final   date dd/mm/yy = ', jour(NCMAX-1), mois(NCMAX-1), an(NCMAX-1)

   inidat = (an(0)-1)*12+mois(0)
   findat = (an(NCMAX-1)-1)*12+mois(NCMAX-1)

; read % var, variance, period,

   OPENR, 20, direc+'/Var_perio_OLR'
   DPM_pouvar = fltarr(NCMAX)
   DPM_varian = fltarr(NCMAX)
   DPM_period = fltarr(NCMAX)

   READF, 20, FORMAT = '(A6)', u
   FOR t = 0, NCMAX-1 DO BEGIN
      READF, 20, res1, res2, res3, res4, res5, res6, res7, res8, res9, res10, res11, res12, res13
      DPM_pouvar(t) = res9
      DPM_varian(t) = sqrt(res12)*res13
      DPM_period(t) = res10
   ENDFOR
      
   close, 20

; Creation du dessin

   jpt = NCMAX
   valmask = 1.e20

   if keyword_set(post) THEN BEGIN  
      reinitplt, /z,/invert
      fileps = 'var_period.ps'
      openps, fileps
      set_ps_devices
   ENDIF ELSE BEGIN
      set_plot,'x'
      set_x_devices
   ENDELSE 

   varname = 'Period (days)'
   mean_per = mean(DPM_period)

   pltt, DPM_period, 't', 22, 54, petitdessin = [1, 3, 3], /landscape, /rempli, subtitle = 'Mean period = '+strtrim(string(mean_per, format = '(F5.2)'), 2)+' days', marge = [0, 0, -4, -4], ystyle = 5
   axis,ystyle=1,yaxis=0,ycharsize=1,ythick=2

   varname = 'Variance (W/m2)2'
   pltt, DPM_varian, 't', 120, 350, petitdessin = [1, 3, 2], /noerase, /rempli, subtitle = '', marge = [0, 0, -6, -2]

   varname = 'Variance %'
   pltt, DPM_pouvar, 't', 0.3, 0.7, petitdessin = [1, 3, 1], /noerase, /rempli, subtitle = '', marge = [0, 0, -7, -1]

; read Nino_3 index

   openr, 30, 'nino3_ts_y120'

   ndate = 120*12
   nino3_ssta = fltarr(ndate)
   year = intarr(ndate)
   month = intarr(ndate)
   time = fltarr(ndate)

   idx = 0

   FOR t = 0, ndate-1 DO BEGIN
      readf, 30, res1, res2
      an_t = floor(res1-1)/12 + 1
      mon_t = floor(res1) - (an_t-1)*12

      IF res1 GE inidat AND res1 LE findat THEN BEGIN
         nino3_ssta(idx) = res2
         year(idx) = an_t
         month(idx) = mon_t
         time(idx) = julday(month(idx), 15, year(idx), 0, 0, 0)
         idx = idx + 1
      ENDIF 

   ENDFOR 
   idx = idx-1

   close, 30

; take from inidat to findat

   print, 'Initial date dd/mm/yy = ', 15, month(0), year(0)
   print, 'Final   date dd/mm/yy = ', 15, month(idx), year(idx)
   nino3_ssta = nino3_ssta[0:idx]
   time = time[0:idx]

   jpt = idx+1
   pltt, nino3_ssta, 't', -2, 2, petitdessin = [1, 3, 3], /noerase, /rempli, subtitle = '', title = '', marge = [0, 0, -4, -4], color = 60, ystyle = 5, thick = 3
   axis,ystyle=1,yaxis=1,ycharsize=1,ythick=2, ytitle = 'Nino 3 SSTA'

   IF keyword_set(post) THEN BEGIN  
      closeps
   ENDIF 
   return
end
